---
title: DOMStringMap
slug: Web/API/DOMStringMap
tags:
  - API
  - HTML DOM
  - Interface
  - NeedsMarkupWork
  - NeedsNewLayout
  - NeedsUpdate
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <strong><code>DOMStringMap</code></strong> interface is used for the {{ domxref("HTMLElement.dataset") }} attribute, to represent data for custom attributes added to elements.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "dom.html#domstringmap", "DOMStringMap")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMStringMap")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("HTMLElement.dataset") }}</li>
 <li><a href="/en-US/docs/Web/HTML/Global_attributes#attr-data-*">Global attributes - data-*</a></li>
</ul>
